%define upstream_name XML-Catalog
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Resolve public identifiers and remap system identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(URI::URL)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
Resolve public identifiers and remap system identifiers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-6.mga6
+ Revision: 1035890
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.30.0-5.mga6
+ Revision: 949461
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 789663
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-3.mga5
+ Revision: 744783
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-2.mga5
+ Revision: 686899
- Mageia 5 Mass Rebuild

* Wed May 28 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 627198
- update to 1.03

* Tue May 27 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 626985
- update to 1.02

* Thu Feb 06 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 584584
- update to v1.0.1

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 539286
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 491745
- imported package perl-XML-Catalog

